package com.bocloud.ims.entity.resource;

import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.annotations.PK;
import com.bocloud.entity.annotations.Table;
import com.bocloud.entity.meta.PKStrategy;

/**
 * 存储主机端口已经登录的网关服务器
 * @author luyanchao
 */

@Table("storage_host_port_gateway")
public class StorageHostPortGateway {

    @PK(value = PKStrategy.AUTO)
    private Long id; //
    @Column("host_port_id")
    private Long hostPortId; // 存储主机端口id  storage_host_port.id
    @Column("server_id")
    private Long serverId; // 提供iSCSI服务的主机id  server.id

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getHostPortId() {
        return hostPortId;
    }

    public void setHostPortId(Long hostPortId) {
        this.hostPortId = hostPortId;
    }

    public Long getServerId() {
        return serverId;
    }

    public void setServerId(Long serverId) {
        this.serverId = serverId;
    }
}
